Subject: xset(1) not accepting symlink to font path

From: Marco van Hulten <[email-masked]>
Date: Wed, 28 Feb 2018 22:54:29 +0100

Hello,

When I follow the manual at
https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#X11-Fonts ,
I get the message that there is something wrong with the directory I'm
trying to add it:

gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
xset:  bad font path element (#0), possible causes are:
    Directory does not exist or has wrong permissions
    Directory missing fonts.dir
    Incorrect font server address or syntax
gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir 
lrwxrwxrwx 2 root root 84 Jan  1  1970 /home/gast/.guix-profile/share/fonts/truetype/fonts.dir -> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype/fonts.dir
gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype

The last command exits with code 0.  Apparently, xset(1) does not want
me to add symlink(2)s that point to valid directories.

—Marco